<!--
Display address view. Necessary to define viewOccurrence, isModerator and isInReviewByUser variable in th:with.
Also requires the script /js/occurrence/view.js to be included
-->
<!--suppress XmlUnboundNsPrefix -->
<div class="card" id="occurrence-card" th:fragment="viewOccurrence">
    <div class="card-header">
        <div class="row">
            <div class="col-md-8">
                <span class="card-title" th:text="#{occurrence.form.title}">Dados de ocorrência</span>
            </div>

            <div class="col-md-4" th:if="${controls}">
                <div class="float-right">
                    <form class="d-none" id="start-review-form" method="post"
                          th:action="@{|/occurrence/review/${occurrence.id}|}">
                        <input name="${_csrf.parameterName}" type="hidden" value="${_csrf.token}"/>
                    </form>
                    <a
                            id="start-review-button"
                            class="btn btn-secondary btn-sm"
                            data-target="#start-review-modal"
                            data-toggle="modal"
                            data-toggle-tooltip="tooltip"
                            href="javascript:void(0)"
                            th:if="${isReviewableByUser}"
                            th:title="#{occurrence.list.review}"
                    >
                        <span class="fas fa-tasks"></span>
                    </a>

                    <a
                            id="edit-occurrence-button"
                            class="btn btn-default btn-sm"
                            data-toggle-tooltip="tooltip"
                            th:href="@{/occurrence/edit/{id} (id=${occurrence.id})}"
                            th:if="${canEdit}"
                            th:title="#{occurrence.edit}">
                        <span class="fas fa-pencil-alt"></span>
                    </a>

                    <button
                            id="deactivate-occurrence-button"
                            class="btn btn-danger btn-sm"
                            data-target="#deactivate-occurrence-modal"
                            data-toggle="modal"
                            data-toggle-tooltip="tooltip"
                            th:if="${isDeletableByUser}" th:title="#{occurrence.view.deactivate}">
                        <span class="fas fa-times"></span>
                    </button>

                    <button
                            id="revoke-approval-button"
                            class="btn btn-danger btn-sm btn-revoke-approval"
                            data-target="#revoke-approval-modal"
                            data-toggle="modal"
                            data-toggle-tooltip="tooltip"
                            th:attr="data-occurrence-id=${occurrence.id}"
                            th:if="${canRevokeApproval}" th:title="#{occurrence.revokeApproval}">
                        <span class="fas fa-ban"></span>
                    </button>
                </div>
            </div>

        </div>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label th:text="#{occurrence.label.title}">Título*</label>
                    <p id="occurrence-title" th:text="${viewOccurrence.title}"></p>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label th:text="#{occurrence.label.description}">Descrição*</label>
                    <p id="occurrence-description" style="white-space: pre-wrap"
                       th:text="${viewOccurrence.description}"></p>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4">
                <div class="form-group">
                    <label th:text="#{occurrence.label.occurrenceType}">Tipo*</label>
                    <p id="occurrence-type" th:text="#{${viewOccurrence.occurrenceType.description.description}}"></p>
                </div>
            </div>

            <div class="col-md-4">
                <div class="form-group">
                    <label th:text="#{occurrence.label.occurrenceStatus}">Status*</label>
                    <p id="occurrence-status" th:text="#{${viewOccurrence.occurrenceStatus.description.description}}"></p>
                </div>
            </div>

            <div class="col-md-4">
                <div class="form-group">
                    <div class="row">
                        <div class="col-auto">
                            <label th:text="#{occurrence.label.occurrenceDocument}">Número*</label>
                        </div>
                        <div class="col-auto" th:if="${viewOccurrence.occurrenceDocument != null && canEdit}">
                            <button id="remove-document-button"
                                    class="btn btn-default btn-xs text-danger" data-target="#remove-document-modal"
                                    data-toggle="modal"
                                    data-toggle-tooltip="tooltip"
                                    th:title="#{occurrence.document.remove}" type="button">
                                <span class="fas fa-times"></span>
                            </button>
                            <form class="d-none" id="remove-document-form" method="post">
                                <input name="${_csrf.parameterName}" type="hidden" value="${_csrf.token}"/>
                            </form>
                        </div>
                    </div>
                    <p>
                        <a href=""
                           id="occurrence-document"
                           th:href="@{|/occurrence/${viewOccurrence.id}/document/download/${viewOccurrence.occurrenceDocument.id}|}"
                           th:if="${viewOccurrence.occurrenceDocument != null}"
                           th:text="#{occurrence.document.defaultName}">
                        </a>
                    </p>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4">
                <div class="form-group">
                    <label th:text="#{occurrence.label.user}">Criada por*</label>

                    <a rel="noopener noreferrer" target="_blank"
                       id="occurrence-user-link"
                       th:href="@{/user/list(searchTerm=${occurrence.user.cpf})}" th:if="${isModerator}">
                        <p id="occurrence-user-link-text" th:text="${viewOccurrence.user.username}"></p>
                    </a>

                    <p id="occurrence-user" th:text="${viewOccurrence.user.username}" th:unless="${isModerator}"></p>
                </div>
            </div>

            <div class="col-md-4">
                <div class="form-group">
                    <label th:text="#{occurrence.label.moderator}">Moderador</label>

                    <a rel="noopener noreferrer" target="_blank"
                       id="occurrence-moderator-link"
                       th:href="@{/user/list(searchTerm=${occurrence?.moderator?.cpf})}" th:if="${isModerator}">
                        <p id="occurrence-moderator-link-text" th:text="${viewOccurrence?.moderator?.username}"></p>
                    </a>

                    <p id="occurrence-moderator"
                       th:text="${viewOccurrence?.moderator?.username}" th:unless="${isModerator}"></p>
                </div>
            </div>

            <div class="col-md-4">
                <div class="form-group">
                    <label th:text="#{occurrence.label.occurrenceDate}">Moderador</label>
                    <p th:text="${#temporals.format(viewOccurrence.occurrenceDate, 'dd/MMM/yyyy')}"></p>
                </div>
            </div>
        </div>

        <div class="row form-group">
            <div class="col-md-4">
                <div class="form-group">
                    <label th:text="#{occurrence.label.createdAt}">Moderador</label>
                    <p class="local-date-time" th:text="${viewOccurrence.createdAt}"></p>
                </div>
            </div>

            <div class="col-md-4">
                <div class="form-group">
                    <label th:text="#{occurrence.label.updatedAt}">Moderador</label>
                    <p class="local-date-time" th:text="${viewOccurrence.updatedAt}"></p>
                </div>
            </div>

            <div class="col-md-4">
                <div class="form-group">
                    <label th:text="#{occurrence.label.verified}">Moderador</label>
                    <p th:text="#{occurrence.verified.yes}" id="occurrence-verified-yes"
                       th:if="${viewOccurrence.occurrenceStatus.description == T(felipe.emerim.crimespot.enums.OccurrenceStatusEnum).APPROVED
                          and viewOccurrence.verified}"></p>
                    <p th:text="#{occurrence.verified.no}" id="occurrence-verified-no"
                       th:if="${viewOccurrence.occurrenceStatus.description == T(felipe.emerim.crimespot.enums.OccurrenceStatusEnum).APPROVED
                          and !viewOccurrence.verified}"></p>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <th:block th:unless="${isInReviewByUser}">
                        <label th:text="#{occurrence.label.moderatorComments}"></label>
                        <p id="moderator-comments" style="white-space: pre-wrap" th:text="${occurrence.moderatorComments}">
                        </p>
                    </th:block>
                </div>
            </div>
        </div>
    </div>

    <div class="d-none" sec:authorize="hasAuthority('ROLE_ADMIN')">
        <form id="revoke-approval-form" method="post"
              th:action="@{|/occurrence/revokeApproval/${viewOccurrence.id}|}">
            <input name="occurrenceId" th:value="${viewOccurrence.id}" type="hidden">
        </form>
    </div>

    <div class="d-none" th:if="${isDeletableByUser}">
        <form id="deactivate-occurrence-form" method="post"
              th:action="@{|/occurrence/deactivate/${viewOccurrence.id}|}">
            <input name="occurrenceId" th:value="${viewOccurrence.id}" type="hidden">
        </form>
    </div>
</div>
<div class="card" id="occurrence-reports-card" th:if="${isModerator}" th:fragment="occurrenceReports">
    <div class="card-header">
        <div class="row">
            <div class="col-md-12">
                <span class="card-title" th:text="#{occurrence.reports.title}">Denúncias</span>
                <span class="badge badge-danger ml-2 mt-1" th:text="${reports.size()}"
                      th:if="${reports.size() > 0}"></span>
            </div>
        </div>
    </div>

    <div class="card-header"
         th:if="${hasPendingReportByUser}">
        <div class="row">
            <div class="col-sm-6">
                <button class="btn btn-secondary float-sm-left"
                        th:text="#{reports.accept}"
                        data-toggle="modal"
                        data-target="#accept-occurrence-reports-modal"></button>
            </div>

            <div class="col-sm-6">
                <button class="btn btn-secondary float-sm-right mt-2 mt-sm-0"
                        th:text="#{reports.reject}"
                        data-toggle="modal"
                        data-target="#reject-occurrence-reports-modal"></button>
            </div>

            <form id="occurrence-report-form" method="post"></form>
        </div>
    </div>

    <div class="card-body" id="occurrence-reports-card-body">
        <div class="row">
            <div class="col-md-12">
                <div id="no-reports-container"
                     class="m-auto" th:if="${reports.size() == 0}" th:text="#{occurrence.reports.list.noResults}">
                    Esta ocorrência não possui denúncias
                </div>

                <th:block th:each="report : ${reports}">
                    <div class="card">
                        <div class="card-header">
                            <div class="row">
                                <div class="col-md-6">
                                    <span th:text="|#{report.label.user}: |">Criada por: </span>
                                    <a rel="noopener noreferrer" target="_blank"
                                       id="occurrence-report-user-link"
                                       th:href="@{/user/list(searchTerm=${report.user.cpf})}" th:if="${isModerator}">
                                        <span id="occurrence-report-user-link-text" th:text="${report.user.username}"></span>
                                    </a>
                                </div>
                                <div class="col-md-6">
                                    <div class="float-md-right">
                                        <span th:text="|#{report.label.createdAt}: |">Status*</span>
                                        <span id="occurrence-report-createdAt" class="local-date-time"
                                              th:text="${report.createdAt}"></span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label th:text="#{report.label.description}">Motivo*</label>
                                        <p id="occurrence-report-description" style="white-space: pre-wrap"
                                           th:text="${report.description}"></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </th:block>
            </div>
        </div>
    </div>
</div>

<form id="review-form" method="post" th:fragment="reviewForm" th:object="${form}">

    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <input name="${_csrf.parameterName}" type="hidden" value="${_csrf.token}"/>

                <label for="moderatorComments" th:text="#{occurrence.form.label.moderatorComments}"></label>
                <textarea class="form-control" id="moderatorComments"
                          th:classappend="${#fields.hasErrors('moderatorComments')} ? is-invalid"
                          th:field="*{moderatorComments}"></textarea>
                <th:block th:insert="layout/fragments/form-field-errors :: errors('moderatorComments')">
                </th:block>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <div class="float-right">
                    <button id="approve-review-button" class="btn btn-primary"
                            data-target="#approve-occurrence-modal" data-toggle="modal"
                            th:text="#{occurrence.approve}" type="button"></button>
                </div>

                <div class="float-left">
                    <button id="reject-review-button"
                            class="btn btn-danger" data-target="#reject-occurrence-modal" data-toggle="modal"
                            th:text="#{occurrence.reject}" type="button"></button>
                </div>
            </div>
        </div>
    </div>
</form>


<div aria-hidden="true" class="modal fade" id="revoke-approval-modal" role="dialog"
     sec:authorize="hasAuthority('ROLE_ADMIN')"
     tabindex="-1" th:fragment="revokeApprovalModal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" th:text="#{occurrence.revokeApproval.confirm.title}"></h5>
                <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" th:text="#{occurrence.revokeApproval.confirm.body}">
                Deseja realmente desativar este usuário?

            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-dismiss="modal" th:text="#{cancel}" type="button">Cancelar
                </button>
                <button class="btn btn-primary" form="revoke-approval-form" th:value="#{confirm}" type="submit">
                    Confirmar
                </button>
            </div>
        </div>
    </div>
</div>

<div aria-hidden="true" class="modal fade" id="deactivate-occurrence-modal" role="dialog" tabindex="-1"
     th:fragment="deactivateOccurrenceModal" th:if="${isDeletableByUser}">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" th:text="#{occurrence.deactivate.confirm.title}"></h5>
                <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" th:text="#{occurrence.deactivate.confirm.body}">
                Deseja realmente desativar este usuário?

            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-dismiss="modal" th:text="#{cancel}" type="button">Cancelar
                </button>
                <button class="btn btn-primary" form="deactivate-occurrence-form" th:value="#{confirm}" type="submit">
                    Confirmar
                </button>
            </div>
        </div>
    </div>
</div>

<div aria-hidden="true" class="modal fade" id="start-review-modal" role="dialog" tabindex="-1"
     th:fragment="startReviewModal" th:if="${isModerator}">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" th:text="#{occurrence.review.confirm.title}"></h5>
                <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" th:text="#{occurrence.review.confirm.body}">
                Deseja realmente desativar este usuário?

            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-dismiss="modal" th:text="#{cancel}" type="button">Cancelar
                </button>
                <button class="btn btn-primary" form="start-review-form" th:value="#{confirm}" type="submit">
                    Confirmar
                </button>
            </div>
        </div>
    </div>
</div>

<div aria-hidden="true" class="modal fade" id="approve-occurrence-modal" role="dialog" tabindex="-1"
     th:fragment="approveOccurrenceModal" th:if="${isInReviewByUser}">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" th:text="#{occurrence.approve.confirm.title}"></h5>
                <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" th:text="#{occurrence.approve.confirm.body}">
                Deseja realmente desativar este usuário?

            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-dismiss="modal" th:text="#{cancel}" type="button">Cancelar
                </button>
                <button class="btn btn-primary" th:form="review-form"
                        th:formaction="@{|/occurrence/approve/${occurrence.id}|}"
                        th:value="#{confirm}"
                        type="submit">Confirmar
                </button>
            </div>
        </div>
    </div>
</div>

<div aria-hidden="true" class="modal fade" id="reject-occurrence-modal" role="dialog" tabindex="-1"
     th:fragment="rejectOccurrenceModal" th:if="${isInReviewByUser}">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" th:text="#{occurrence.reject.confirm.title}"></h5>
                <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" th:text="#{occurrence.reject.confirm.body}">
                Deseja realmente desativar este usuário?

            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-dismiss="modal" th:text="#{cancel}" type="button">Cancelar
                </button>
                <button class="btn btn-primary" th:form="review-form"
                        th:formaction="@{|/occurrence/reject/${occurrence.id}|}"
                        th:value="#{confirm}"
                        type="submit">Confirmar
                </button>
            </div>
        </div>
    </div>
</div>

<div aria-hidden="true" class="modal fade" id="remove-document-modal" role="dialog" tabindex="-1"
     th:fragment="removeDocumentModal" th:if="${isOwner && occurrence.occurrenceDocument != null}">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" th:text="#{occurrence.document.remove.title}"></h5>
                <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" th:text="#{occurrence.document.remove.body}">
                Deseja realmente desativar este usuário?

            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-dismiss="modal" th:text="#{cancel}" type="button">Cancelar
                </button>
                <button class="btn btn-primary" th:form="remove-document-form"
                        th:formaction="@{|/occurrence/${occurrence.id}/document/${occurrence.occurrenceDocument.id}/remove|}"
                        th:value="#{confirm}"
                        type="submit">Confirmar
                </button>
            </div>
        </div>
    </div>
</div>

<div aria-hidden="true" class="modal fade" id="accept-occurrence-reports-modal" role="dialog" tabindex="-1"
     th:fragment="acceptOccurrenceReportsModal" th:if="${hasPendingReportByUser}">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" th:text="#{occurrence.reports.accept.confirm.title}"></h5>
                <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" th:text="#{occurrence.reports.accept.confirm.body}">
                Deseja realmente desativar este usuário?

            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-dismiss="modal" th:text="#{cancel}" type="button">Cancelar
                </button>
                <button class="btn btn-primary" th:form="occurrence-report-form"
                        th:formaction="@{|/occurrence/reports/accept/${occurrence.id}|}"
                        th:value="#{confirm}"
                        type="submit">Confirmar
                </button>
            </div>
        </div>
    </div>
</div>

<div aria-hidden="true" class="modal fade" id="reject-occurrence-reports-modal" role="dialog" tabindex="-1"
     th:fragment="rejectOccurrenceReportsModal" th:if="${hasPendingReportByUser}">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" th:text="#{occurrence.reports.reject.confirm.title}"></h5>
                <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" th:text="#{occurrence.reports.reject.confirm.body}">
                Deseja realmente desativar este usuário?

            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-dismiss="modal" th:text="#{cancel}" type="button">Cancelar
                </button>
                <button class="btn btn-primary" th:form="occurrence-report-form"
                        th:formaction="@{|/occurrence/reports/reject/${occurrence.id}|}"
                        th:value="#{confirm}"
                        type="submit">Confirmar
                </button>
            </div>
        </div>
    </div>
</div>